| Avidemux 2.6 Scripting Reference

- Main Page
- Modules
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Functions Enumerations Enumerator Properties Groups Pages
Public Member Functions | Properties | List of all members
ControlCollection Class Reference

The ControlCollection class represents a collection of Control objects that can be individually accessed by index. More...

## Public Member Functions
Number | add (Control item)
| Adds a Control object to the end of the collection.
void | clear ()
| Removes all Control objects from the collection.
void | insert (Number index, Control item)
| Inserts a new Control object into the collection at the specified index.
Control | operator[] (Number i)
| Gets the Control object at the specified index.
void | removeAt (Number index)
| Removes the Control object at the specified index.

## Properties
Number | length
| Returns the number of Control objects in the collection.

## Detailed Description

The ControlCollection class represents a collection of Control objects that can be individually accessed by index.

## Member Function Documentation

Number add | ( | Control | item | ) |
| inline

Adds a Control object to the end of the collection.

Returns
  Returns the index of the newly added Control in the collection.